Delete a tax jurisdiction
Módulo Finance
DELETE/tax-jurisdictions/{id}taxJurisdictions.delete
A tax jurisdiction the org collects or pays tax in. Soft-deletes the tax jurisdiction: it moves to Trash and can be restored for its table's retention period.
- Requiere la capacidad org.legal_entities.write.
- Alcances de OAuth: org.
- Estados de error: 401, 404, 422, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| id | string (uuid) | Sí | Identifier of the tax jurisdiction. |
Respuesta 204: sin cuerpo.
Ejemplos de código
curl -X DELETE "$XOS_BASE_URL/tax-jurisdictions/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
-H "Authorization: Bearer $XOS_API_KEY"const { data } = await xos.taxJurisdictions.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");response = xos.tax_jurisdictions.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")xos tax-jurisdictions delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f